Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 66633 (mattm) - Retire: Matthew Marlowe (mattm)
Summary: Retire: Matthew Marlowe (mattm)
Status: IN_PROGRESS
Alias: mattm
Product: Gentoo Developers/Staff
Classification: Unclassified
Component: Retirement (show other bugs)
Hardware: All All
: High normal (vote)
Assignee: Retirement Admin
URL:
Whiteboard: infra-retire: 2021-10-06
Keywords:
Depends on:
Blocks:
 
Reported: 2004-10-07 04:55 UTC by Jochen Maes (RETIRED)
Modified: 2021-10-06 03:05 UTC (History)
9 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jochen Maes (RETIRED) gentoo-dev 2004-10-07 04:55:25 UTC
Full Name: Matthew Marlowe
IRC Nick:  MattM
email:     matt@deploylinux.net
mentor:    SeJo

Matthew will be part of the apache-herd, his other interests are (as he stated himself): 

Gentoo support for Dell Server HW, Ensuring Gentoo is leading/well regarded solution in the enterprise space, especially w/ regard to web cluster infrastructure - which brings in many issues (security, performance, maintainability, automated installs, QA, and innovation)
Comment 1 Jochen Maes (RETIRED) gentoo-dev 2004-10-07 04:56:24 UTC
forgot to state this: 

Training starts 07 October 2004
Comment 2 Deedra Waters (RETIRED) gentoo-dev 2004-11-03 19:18:53 UTC
Do we have a quiz on this one?
Comment 3 Jeremy Huddleston (RETIRED) gentoo-dev 2004-12-09 03:36:49 UTC
SeJo or Matt:  Please give a status update or I will close this bug due to lack of communication.  Thanks.
Comment 4 Jochen Maes (RETIRED) gentoo-dev 2004-12-09 08:25:07 UTC
haven't heard from him in a while, same as beu.

this is a shame but i'm not running after people anymore.

closing the bug as talked to deedra and Stuart. 

greetings
Comment 5 Matthew Marlowe gentoo-dev 2004-12-09 09:36:28 UTC
Guys,
I have been on business travel the last week and working towards meeting a client deadline so I haven't been able to check in much on IRC.  When I return on Saturday, I will complete the quiz and email it to recruiters/etc.
Regards,
Matt
Comment 6 Matthew Marlowe gentoo-dev 2004-12-09 09:37:54 UTC
Just to confirm, you guys should already have received the first quiz (completed over a month ago) and the second quiz is what you are waiting on (shell script quiz).
Comment 7 Matthew Marlowe gentoo-dev 2004-12-12 19:30:07 UTC
second quiz was emailed to recruiters email address yesterday.
Comment 8 Jeremy Huddleston (RETIRED) gentoo-dev 2004-12-24 21:59:00 UTC
Welcome!
Comment 9 Dimitry Bradt (RETIRED) gentoo-dev 2007-07-24 13:09:16 UTC
Matthew, according to Developer Relations rules for inactivity we're going to
retire you. You'll retain email access in the form of a forward for three
months (as specified in the policy) and we'd be delighted to see you back as a
full developer if you like. Returning requires you to answer the quizzes
(http://www.gentoo.org/proj/en/devrel/quiz/end-quiz.txt) but we don't require a
mentor for former devs. Off course recruiters will be happy to help with any
questions.

Comment 10 Christina Gianelloni (RETIRED) gentoo-dev 2007-09-05 19:40:38 UTC
Infra please retire.
Comment 11 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2007-09-12 03:16:03 UTC
infra has completed: dev, cvs, lists, ldap, jabber, bugzilla.
Comment 12 Christian Heim (RETIRED) gentoo-dev 2007-09-30 17:41:04 UTC
userinfo.xml updated.
Comment 13 Christina Gianelloni (RETIRED) gentoo-dev 2007-09-30 21:36:40 UTC
removed #-dev access
checked project pages
updated herds.xml
reassigned bugs

Still needs forums, planet, cloak, metadata.xml
Comment 14 Anders Hellgren gentoo-dev 2007-10-13 20:37:29 UTC
Forums done.
Comment 15 Christian Heim (RETIRED) gentoo-dev 2007-11-01 20:59:10 UTC
cloak done.
Comment 16 Christian Heim (RETIRED) gentoo-dev 2007-11-01 21:04:19 UTC
no metadata to process.
Comment 17 Christian Heim (RETIRED) gentoo-dev 2007-11-01 21:09:23 UTC
No planet feed, no planet hosted blog either. Guess we're done here.
Comment 18 Matthew Marlowe 2010-11-20 15:47:27 UTC
I've sent an email to recruiters@gentoo.org requesting reinstatement of dev access/privs.  I believe this bug needs to be reopened and title changed.
Comment 19 Petteri Räty (RETIRED) gentoo-dev 2010-11-20 18:34:04 UTC
(In reply to comment #18)
> I've sent an email to recruiters@gentoo.org requesting reinstatement of dev
> access/privs.  I believe this bug needs to be reopened and title changed.
> 

Comment 20 Matthew Marlowe 2010-12-30 17:22:15 UTC
I have requested to join the vmware herd.  vadimk has agreed to be designated the mentor.  A completed quiz has just been gpg signed and submitted via email to recruiters@gentoo.org.
Comment 21 Matthew Marlowe 2011-01-19 00:37:07 UTC
Answers to end of mentoring quiz sent to recruiters@gentoo.org.
Comment 22 Markos Chandras (RETIRED) gentoo-dev 2011-01-19 10:01:20 UTC
I will be your recruiter. I received your quizzes but I won't be able to have any review sessions with you up until the 27th of January. However, feel free to contact me in the meantime to schedule the first review session. 
Comment 23 Markos Chandras (RETIRED) gentoo-dev 2011-02-09 23:40:56 UTC
What we did:
- LDAP
- bugzilla
- cvs/svn/git groups on cvs.gentoo.org
- IRC cloak
- sent you your LDAP/mail password via encrypted mail

Pending:
- announcement

Automatic:
- gentoo-core

What you need to do:
- subscribe to mailing lists with your @gentoo.org address
- request forum status bump in #gentoo-forums or by mail to
  forum-mods@gentoo.org (if you have a forums account)
- send yourself mail to check if it works
- add yourself to mail aliases ( like java@gentoo.org )
  see /var/mail/alias on dev.gentoo.org
- ask team leads to add yourself to herds.xml for the herds you want to
  join or do it yourself if you have the permission to do so
- set lat and lon attributes in LDAP if you want others to know where
  exactly you are located
- set gentooIM if you want people to be able to contact you via other
  means than email
- If you want your blog to be syndicated to planet.gentoo.org, check
  http://www.gentoo.org/proj/en/userrel/planet/index.xml
- contact trustees@gentoo.org for Foundation membership (optional)

For the mentor:
- You are also responsible for the commits of your recruit during the first
  month so you should watch the commits of your recruit via gentoo-commits
  mailing list.
Comment 24 Markos Chandras (RETIRED) gentoo-dev 2011-02-10 13:27:10 UTC
Announcement sent. All done. Welcome :)
Comment 25 Pacho Ramos gentoo-dev 2016-05-21 18:12:06 UTC
he is inactive for a long tim
Comment 26 Pacho Ramos gentoo-dev 2016-08-06 09:16:31 UTC
- bugs, packages and projects cleaned
Comment 27 Pacho Ramos gentoo-dev 2016-08-17 12:30:31 UTC
I got your mail with your devaway message... but you are the only one with permissions to set you devway... I will put it here for remembering your case
Comment 28 Pacho Ramos gentoo-dev 2017-06-20 12:03:43 UTC
Still the same situation, third mail sent
Comment 29 Pacho Ramos gentoo-dev 2017-07-14 16:20:13 UTC
- He mailed me asking for some help to try to return... we will wait more then as hopefully he will be able to return
Comment 30 Matthew Marlowe gentoo-dev 2017-10-02 21:47:24 UTC
returning to dev now, spent the last few weeks getting new gentoo virtual machines up and running, vision issues hopefully resolved, on freenode irc now...looks like someone stole my old Nick so now I don't have perms to speak in #gentoo-dev/etc
Comment 31 Matthew Marlowe gentoo-dev 2017-10-03 00:36:01 UTC
New freenode irc nick:  TheRealMattM   (can a recruiter please set whatever bit is needed to allow me to speak on gentoo-dev)

GitHub:  I emailed the github project to have my github userid 'deploylinux' added

Other:  SSH: I may need to change my official ssh key, I'll review

Commit Access: It looks like all my old access is still there, I just need to adapt to the new git version of it (I've worked with git a lot, but need to review the gentoo specific guidelines).
Comment 32 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-01-02 19:03:13 UTC
Ping. Has any real progress been made here? Do you need help with something?

I've replied to your GitHub request back then. I didn't receive any reply from you. Did you get my mail?
Comment 33 Matthew Marlowe gentoo-dev 2018-01-03 09:18:27 UTC
I have been in the process of setting up a new development environment along with a bunch of new gentoo server virtual machines.  Taking a little longer to get it ideal.

At the moment, one roadblock is my restoring my previous ssh key and being able to login to dev.gentoo.org -- the other is getting dev bit on irc re-enabled -- dev.gentoo.org access needed to submit the request for github access.
Comment 34 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-01-03 09:34:01 UTC
We can set a new SSH key for you if you need us to. Do you still have the OpenPGP key whose fingerprint is in LDAP?

  gpgfingerprint: F3DB C3C4 E94F 0D28 9E69  84A0 7077 A5F7 1A86 EBE4
Comment 35 Pacho Ramos gentoo-dev 2018-03-10 11:18:52 UTC
Any updates on this? Thanks
Comment 36 Matthew Marlowe gentoo-dev 2018-03-11 23:14:14 UTC
I managed to recover the prior ssh key and have had a working development environment for a few months now.

I'll restart development this week.  I may need someone to help out with the changes to workflow from the migration to git.
Comment 37 Matthew Marlowe gentoo-dev 2018-03-11 23:53:04 UTC
Updated GitHub User and IRC info in LDAP.
Waiting for sync of both of those to freenode and github.
Will begin to review the new github workflow documents.
Comment 38 Matthew Marlowe gentoo-dev 2018-04-19 18:53:47 UTC
Taking over several unmaintained packages this week and fixing bugs.  I'm not sure if someone in recruiters group will need to close this bug at some point.
Comment 39 Pacho Ramos gentoo-dev 2018-04-21 14:15:48 UTC
I was waiting to see any commit or similar.. but I couldn't find, in which repo are you committing? Or are you using a different nickname now? (I was looking for mattm):
https://gitweb.gentoo.org/repo/gentoo.git/log/?qt=committer&q=mattm
Comment 40 Pacho Ramos gentoo-dev 2018-06-24 09:05:06 UTC
Hello, any news? I see that you still didn't commit anything, neither have a devaway message with an approximate ETA to return. What are your plans?
Comment 41 Matthew Marlowe gentoo-dev 2018-06-26 01:49:41 UTC
Let me send commit and commit info tonight- apology for delay.
Comment 42 Matthew Marlowe gentoo-dev 2018-06-27 17:12:34 UTC
Tried taking over a few unmaintained packages that might be a good fit for me this evening, but got stuck with an error while trying to run repoman on the gith repository...I assume I need to set a permission somewhere or create some directory:

matt@atlas ~/dev/gentoo/app-admin/ngxtop $ repoman manifest

*** the local copy of metadata.xsd needs to be refetched, doing that now


Repoman: Need user access


Permissions on the git repository are good and on my local portage tree so not sure where the conflict is. Local dev account is part of portage group.
Comment 43 Matthew Marlowe gentoo-dev 2018-07-04 11:18:46 UTC
Pushed first commit in a long while after updating my gpg key and sending new fingerprint to ldap and pgp servers.

Commit info:
 dbcface2a65..b0c55439e93  master -> master
Comment 44 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-09-18 18:47:31 UTC
Matthew, let me summarize the state so far.  Please correct me if I'm mistaken.

Your last user-visible contribution to Gentoo was in May 2015.  Since then, you've been largely inactive.  Your Bugzilla activity has been limited to reporting one bug, confirming one bug and replying to this bug.  Your commit activity has been limited to a single commit taking over a package that looks zero-maintenance (which did not introduce any user-visible change).  Over two months have already passed since that commit.

Given all of this, we believe you haven't really returned to Gentoo, or made any user-visible contribution in the last 3.5 year.  I'm going to restart the retirement procedure at third mail, giving you one more month to start actively contributing to Gentoo.
Comment 45 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-09-18 18:48:13 UTC
Third mail sent.
Comment 46 Matthew Marlowe gentoo-dev 2018-09-19 00:26:26 UTC
Hey Mike,

I wish you had contacted me before taking that action, but I understand.  It's a hard, but fair response.  I've had some issues that have come up and distracted me from returning at the speed I wish to development in the last few months, but my long term plan is still firmly committed to returning to helping out with Gentoo and deploying Gentoo Infrastructure on other projects I'm involved in.    Note, that I don't have access to github 2FA yet, which is why I did not respond to the github bug.  I did read the long thread with various options...  

Anyhow, sounds like I need to man up and get active if I want to continue to have gentoo developer privs....Thank you.  I'll see what I can do.

MattM
Comment 47 Matthew Marlowe gentoo-dev 2018-10-18 07:26:02 UTC
I'm reviewing the current bug and maintainership status of packages I used to be responsible for - I've identified two that could use help.

net-analyzer/zabbix is high profile and currently maintained by Patrick, but there a bunch of open bugs and a need to update the ebuilds for a new major version 4.0.  I'll be trying to help with that this week.

Also, media-gfx opencsg is a dependency for openscad which is a nice utility for 3d printing design work.....and opencsg has been unmaintained with 2 bugs.  I'm working on how to solve those bugs this week too.
Comment 48 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-10-30 07:27:08 UTC
We have a commit.  See you in two months.
Comment 49 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2019-09-11 09:29:31 UTC
First mail sent.
Comment 50 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2019-10-27 13:56:25 UTC
gentoo.git access disabled.
Comment 51 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-06-28 17:03:13 UTC
2 commits in March.
Comment 52 Sam James archtester gentoo-dev Security 2021-06-18 14:43:17 UTC
I emailed Matt back in January and reached out about problems preventing him from working on Gentoo. I took a while to get back to him as I got bogged down with university work.

I replied at the end of May but not heard back yet.

Please let us know if you're still interested in working on Gentoo. I'm happy to personally help with any problems and mitigate anything which is an issue for you.
Comment 53 Joonas Niilola gentoo-dev 2021-09-19 06:34:13 UTC
Second mail sent.
Comment 54 Joonas Niilola gentoo-dev 2021-09-21 05:07:30 UTC
We received a reply from Matthew stating they wish to be retired. Giving the usualy 14 days time to reconsider before launching full retirement process.
Comment 55 Sam James archtester gentoo-dev Security 2021-10-06 03:05:35 UTC
Pending:
- Bugs
- Projects (Wiki)
- Infra (LDAP, bugs, wiki, d.g.o)
- Gitolite
- GitHub
- Forums
- IRC cloak

Done:
- Planet (N/A)
- Package reassignment (N/A)